DROP TABLE TMP_REGDADOSSEF2
/

CREATE GLOBAL TEMPORARY TABLE TMP_REGDADOSSEF2
(
   CDREGISTRO      VARCHAR2(04)   NOT NULL,
   CDCHAVEREG      VARCHAR2(300)  NOT NULL,
   CDCONTREGI      NUMBER         NULL,
   CDCAMPO1        VARCHAR2(50)   NULL,
   CDCAMPO2        VARCHAR2(50)   NULL,
   CDCAMPO3        VARCHAR2(50)   NULL,
   CDCAMPO4        VARCHAR2(50)   NULL,
   CDCAMPO5        VARCHAR2(50)   NULL,
   CONSTRAINT PK_TMP_REGDADOSSEF2 PRIMARY KEY(CDREGISTRO, CDCHAVEREG)) ON COMMIT PRESERVE ROWS
/

CREATE OR REPLACE FUNCTION SEF2_BLOCO0(
   P_CDEMPRESA    IN EMPRESA.CDEMPRESA%TYPE,
   P_CDINSCESTA   IN EMPRESA.CDINSCESTA%TYPE,
   P_CDINSCMUNI   IN EMPRESA.CDINSCMUNI%TYPE,
   P_DTINICIAL    IN NOTAFISCAL.DTENTRSAID%TYPE,
   P_DTFINAL      IN NOTAFISCAL.DTENTRSAID%TYPE,
   P_CDLIVROMAG   IN LIVROMAGNETICO.CDLIVROMAG%TYPE,
   P_SUFRAMA      IN VARCHAR2,
   P_ARQUIVO      IN VARCHAR2,
   P_VERSAO       IN VARCHAR2,
   P_FINALIDADE   IN VARCHAR2,
   P_PRF_RI       IN VARCHAR2,
   P_IND_EC       IN VARCHAR2,
   P_IND_ISS      IN VARCHAR2,
   P_IND_ST       IN VARCHAR2,
   P_IND_AT       IN VARCHAR2,
   P_IND_IPI      IN VARCHAR2,
   P_IND_RI       IN VARCHAR2,
   P_DTINIPER     IN NOTAFISCAL.DTENTRSAID%TYPE,
   P_DTFINPER     IN NOTAFISCAL.DTENTRSAID%TYPE,
   P_NRSEQARQMAG  IN ARQMAGNETICO.NRSEQARQMAG%TYPE,
   P_MOVBLOCOH    IN NUMBER) RETURN NUMBER
AS
   V_CONTREG0     NUMBER;
   V_REG0030      VARCHAR2(50);
   V_REG0150      VARCHAR2(1000);
   V_REG0200      VARCHAR2(1000);
   V_CDCFOP       VARCHAR2(10);
   V_DSCFOP       VARCHAR2(500);
   V_COP          VARCHAR2(4);
   V_REG0400      VARCHAR2(1000);
   V_REG0450      VARCHAR2(1000);
BEGIN
   /*P_ARQUIVO: 1=eDoc  2=Sef  3=RI */
   /*REGISTRO 0000*/
   FOR C_REG0000 IN (SELECT ('|0000'                                                        || '|' ||
                            'LFPD'                                                          || '|' ||
                            TO_CHAR(DECODE(P_ARQUIVO,'3',P_DTFINAL,P_DTINICIAL),'ddmmyyyy') || '|' ||
                            TO_CHAR(P_DTFINAL,'ddmmyyyy')                                   || '|' ||
                            RETIRA_CARACTER_ESPECIAL(E.NMRAZSOCEMPR,'S')                    || '|' ||
                            RETIRA_CARACTER_ESPECIAL(I.NRINSJURIEST,'S')                    || '|' ||
                            I.SGESTADO                                                      || '|' ||
                            RETIRA_CARACTER_ESPECIAL(I.CDINSCESTA,'S')                      || '|' ||
                            LPAD(NVL(M.CDMUNICIBGE,'0'),7,'0')                              || '|' ||
                            RETIRA_CARACTER_ESPECIAL(P_CDINSCMUNI,'S')                      || '|' ||
                            ''                                                              || '|' ||
                            P_SUFRAMA                                                       || '|' ||
                            REPLACE(P_VERSAO,'.','')                                        || '|' ||
                            P_FINALIDADE                                                    || '|' ||
                            DECODE(P_ARQUIVO,'1','91','2','20','21')                        || '|' ||
                            'Brasil'                                                        || '|' ||
                            RETIRA_CARACTER_ESPECIAL(E.NMEMPRESA,'S')                       || '|' ||
                            RETIRA_CARACTER_ESPECIAL(DECODE(P_ARQUIVO,'2',E.NRREGJUNCOM,''),'S') || '|' ||
                            ''                                                              || '|' ||
                            ''                                                              || '|'  ) AS DADOS
                       FROM INSCRESTAD I, EMPRESA E, MUNICIPIO M
                      WHERE I.CDEMPRESA   = P_CDEMPRESA
                        AND I.CDINSCESTA  = P_CDINSCESTA
                        AND I.CDEMPRESA   = E.CDEMPRESA
                        AND I.CDPAIS      = M.CDPAIS
                        AND I.SGESTADO    = M.SGESTADO
                        AND I.CDMUNICIPIO = M.CDMUNICIPIO) LOOP
      V_CONTREG0 := NVL(V_CONTREG0,0) + 1;
      INSERT INTO ARQMAGNETICO 
        (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
      VALUES
        ('000'||LPAD(RTRIM(V_CONTREG0), 7, '0'), C_REG0000.DADOS, P_NRSEQARQMAG);
   END LOOP;

   /*REGISTRO 0001*/
   V_CONTREG0 := NVL(V_CONTREG0,0) + 1;
   INSERT INTO ARQMAGNETICO
     (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
   VALUES
     ('001'||LPAD(RTRIM(V_CONTREG0), 7, '0'), '|0001'||'|'||NVL(P_MOVBLOCOH,'0')|| '|', P_NRSEQARQMAG);

   /*REGISTRO 0005*/
   FOR C_REG0005 IN (SELECT ('|0005'                                                   || '|' ||
                             R.NMREPRES                                                || '|' ||
                             R.CDQUALIFASSINA                                          || '|' ||
                             R.NRCPFREPRES                                             || '|' ||
                             RETIRA_CARACTER_ESPECIAL(IE.NRCEPIEST,'S')                || '|' ||
                             RETIRA_CARACTER_ESPECIAL(IE.DSENDEIEST,'S')               || '|' ||
                             ''                                                        || '|' ||
                             RETIRA_CARACTER_ESPECIAL(IE.DSCOMPENDIES,'S')             || '|' ||
                             RETIRA_CARACTER_ESPECIAL(IE.NMBAIRIEST,'S')               || '|' ||
                             ''                                                        || '|' ||
                             ''                                                        || '|' ||
                             SUBSTR(RETIRA_CARACTER_ESPECIAL(IE.NRTELEIEST, 'S'),1,10) || '|' ||
                             SUBSTR(RETIRA_CARACTER_ESPECIAL(IE.NRFAXIEST,  'S'),1,10) || '|' ||
                             RETIRA_CARACTER_ESPECIAL(R.DSEMAILREPRES,'S')             || '|'  ) AS DADOS
                        FROM EMPRESA EP, INSCRESTAD IE, REPRESEMPRESA RE, REPRESLEGAL R
                       WHERE IE.CDEMPRESA  = P_CDEMPRESA
                         AND IE.CDINSCESTA = P_CDINSCESTA
                         AND IE.CDEMPRESA  = EP.CDEMPRESA
                         AND IE.CDEMPRESA  = EP.CDEMPRESA
                         AND RE.CDEMPRESA  = EP.CDEMPRESA
                         AND RE.CDREPRES   = R.CDREPRES
                         AND RE.IDATIVO    = 'S') LOOP
      V_CONTREG0 := NVL(V_CONTREG0,0) + 1;
      INSERT INTO ARQMAGNETICO
        (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
      VALUES
        ('002'||LPAD(RTRIM(V_CONTREG0), 7, '0'),  C_REG0005.DADOS, P_NRSEQARQMAG);
   END LOOP;

   /*REGISTRO 0030*/
   /*OS CAMPOS PRF_RI E IND_RI SO SEMPRE O INVERSO PARA O FORMATO RI. SE A DATA DO INVENTRIO FOR 31/12/XXXX O PRF_RI  SIM E O IND_RI  NO
    SE A DATA FOR DIFERENTE DE 31/12/XXXX OS VALORES SE INVERTEM*/
   /*OS CAMPOS IND_IPI E IND_ISS INFLUENCIAM NOS COP'S (REFERENTES AOS CFOP'S) E NOS TIPOS DE ITEM QUE SO INFORMADOS NO ARQUIVO. POR EXEMPLO, SE O IND_ISS
    FOR NO E HOUVER TIPO DE ITEM DE SERVIO O VALIDADOR ACUSAR ERRO*/
   SELECT '|0030'                                              || '|' ||--LIN
          '1'                                                  || '|' ||--IND_ED
          DECODE(P_ARQUIVO,'1','9','2','5','6')                || '|' ||--IND_ARQ
          '9'                                                  || '|' ||--PRF_ISS
          '2'                                                  || '|' ||--PRF_ICMS
          DECODE(P_ARQUIVO,'1','','1')                         || '|' ||--PRF_RIDF
          DECODE(P_ARQUIVO,'1','','1')                         || '|' ||--PRF_RUDF
          DECODE(P_ARQUIVO,'1','','1')                         || '|' ||--PRF_LMC
          DECODE(P_ARQUIVO,'1','','1')                         || '|' ||--PRF_RV
          DECODE(P_ARQUIVO,'1','','2','1',DECODE(TO_CHAR(P_DTFINPER,'DDMM'),'3112','0','1'))|| '|' ||--PRF_RI
          DECODE(P_ARQUIVO,'1','','9')                         || '|' ||--IND_EC
          DECODE(P_IND_ISS,'S','0','1')                        || '|' ||--IND_ISS
          ''                                                   || '|' ||--IND_RT
          '0'                                                  || '|' ||--IND_ICMS
          DECODE(P_ARQUIVO,'3','','1')                         || '|' ||--IND_ST
          DECODE(P_ARQUIVO,'1','1','')                         || '|' ||--IND_AT
          DECODE(P_IND_IPI,'S','0','1')                        || '|' ||--IND_IPI
          DECODE(P_ARQUIVO,'1','','2','1',DECODE(TO_CHAR(P_DTFINPER,'DDMM'),'3112','1','0'))|| '|'   --IND_RI
     INTO V_REG0030
     FROM DUAL;
   V_CONTREG0 := NVL(V_CONTREG0,0) + 1;
   INSERT INTO ARQMAGNETICO
     (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
   VALUES
     ('003'||LPAD(RTRIM(V_CONTREG0), 7, '0'), V_REG0030, P_NRSEQARQMAG);

   /*REGISTRO 0100*/
   FOR C_REG0100 IN (SELECT ('|0100'                                                  || '|' ||
                            RETIRA_CARACTER_ESPECIAL(NMCONTADOR,'S')                  || '|' ||
                            SUBSTR(LPAD(CDQUALIFASSINA,5,'0'),3,3)                    || '|' ||
                            ''                                                        || '|' ||
                            RETIRA_CARACTER_ESPECIAL(NRINSJURCONT,'S')                || '|' ||
                            SUBSTR(LPAD(RETIRA_CARACTER_ESPECIAL(NRCRCCONT2,'S'),11,'0'),2,10)|| '|' ||
                            RETIRA_CARACTER_ESPECIAL(NRCEP,'S')                       || '|' ||
                            SUBSTR(RETIRA_CARACTER_ESPECIAL(DSLOGRADOURO,'S'),1,40)   || '|' ||
                            ''                                                        || '|' ||
                            RETIRA_CARACTER_ESPECIAL(DSCOMPLLOGRA,'S')                || '|' ||
                            RETIRA_CARACTER_ESPECIAL(DSBAIRRO,'S')                    || '|' ||
                            M.SGESTADO                                                || '|' ||
                            M.CDMUNICIBGE                                             || '|' ||
                            RETIRA_CARACTER_ESPECIAL(NRCEP,'S')                       || '|' ||
                            ''                                                        || '|' ||
                            SUBSTR(RETIRA_CARACTER_ESPECIAL(NRTELCONTATO, 'S'),1,10)  || '|' ||
                            SUBSTR(RETIRA_CARACTER_ESPECIAL(NRFAXCONTATO, 'S'),1,10)  || '|' ||
                            ''                                                        || '|'  ) DADOS
                       FROM CONTADOR C, MUNICIPIO M, EMPRESA E, INSCRESTAD I
                      WHERE C.CDPAIS      = M.CDPAIS
                        AND C.SGESTADO    = M.SGESTADO
                        AND C.CDCONTADOR2 = I.CDCONTADOR2
                        AND E.CDEMPRESA   = P_CDEMPRESA
                        AND C.CDMUNICIPIO = M.CDMUNICIPIO
                        AND I.CDINSCESTA  = P_CDINSCESTA
                        AND I.CDEMPRESA   = P_CDEMPRESA) LOOP
      V_CONTREG0 := NVL(V_CONTREG0,0) + 1;
      INSERT INTO ARQMAGNETICO
        (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
      VALUES
        ('004'||LPAD(RTRIM(V_CONTREG0), 7, '0'), C_REG0100.DADOS, P_NRSEQARQMAG);
   END LOOP;

   /*REGISTRO 0150*/
   FOR C_REG0150 IN (SELECT CDCHAVEREG, CDCAMPO1, CDCAMPO2
                       FROM TMP_REGDADOSSEF2
                      WHERE CDREGISTRO = '0150'
                        AND CDCHAVEREG IS NOT NULL
                      ORDER BY CDCHAVEREG) LOOP

      SELECT MAX('|0150'                                     || '|' ||
                 COD_PART                                    || '|' ||
                 NOME                                        || '|' ||
                 COD_PAIS                                    || '|' ||
                 DECODE(COD_PAIS,'01058',CNPJ,'')            || '|' ||
                 DECODE(COD_PAIS,'01058',CPF,'')             || '|' ||
                 ''                                          || '|' ||
                 DECODE(COD_PAIS,'01058',UF,'EX')            || '|' ||
                 REPLACE(REPLACE(REPLACE(DECODE(COD_PAIS,'01058',DECODE(INSTR(IE,'ISE'),0,IE,DECODE(C_REG0150.CDCAMPO2,'S',IE,'')),''),'.',''),'-',''),'/','')|| '|' ||
                 ''                                          || '|' ||
                 DECODE(COD_PAIS,'01058',COD_MUN,'9999999')  || '|' ||
                 DECODE(COD_PAIS,'01058',IM,'')              || '|' ||
                 SUFRAMA  || '|')
         INTO V_REG0150
         FROM (SELECT C.CDCLIENTE AS COD_PART, C.NMRAZSOCCLIE AS NOME, NVL(LPAD(P.CDPAISBACEN,5,'0'),'') AS COD_PAIS,
                      DECODE(C.IDTPIJURCLIE,'J',C.NRINSJURCLIE,'') AS CNPJ, DECODE(C.IDTPIJURCLIE,'F',C.NRINSJURCLIE,'') AS CPF,
                      E.SGESTADO AS UF, C.NRINSESTCLIE AS IE, M.CDMUNICIBGE AS COD_MUN,
                      C.NRINSMUNICLIE AS IM, C.NRINSCSUFRAMACL AS SUFRAMA
                 FROM CLIENTE C, ENDECLIE E, MUNICIPIO M, PAIS P
                WHERE C.CDCLIENTE   = C_REG0150.CDCHAVEREG
                  AND C_REG0150.CDCAMPO1 = 'C'
                  AND C.CDCLIENTE   = E.CDCLIENTE
                  AND E.CDPAIS      = P.CDPAIS
                  AND E.CDPAIS      = M.CDPAIS
                  AND E.SGESTADO    = M.SGESTADO
                  AND E.CDMUNICIPIO = M.CDMUNICIPIO
                  AND E.IDTPENDECLIE = 'P'
               UNION
               SELECT F.CDFORNECED AS COD_PART, F.NMRAZSOCFORN AS NOME, NVL(LPAD(P.CDPAISBACEN,5,'0'),'') AS COD_PAIS,
                      DECODE(F.IDTPIJURFORN,'J',F.NRINSJURFORN,'') AS CNPJ, DECODE(F.IDTPIJURFORN,'F',F.NRINSJURFORN,'') AS CPF,
                      E.SGESTADO AS UF, F.NRINSESTFORN AS IE, M.CDMUNICIBGE AS COD_MUN,
                      F.NRINSMUNFORN AS IM, F.NRINSCSUFRAMAFO AS SUFRAMA
                 FROM FORNECEDOR F, ENDEFORN E, MUNICIPIO M, PAIS P
                WHERE F.CDFORNECED  = C_REG0150.CDCHAVEREG
                  AND C_REG0150.CDCAMPO1 = 'F'
                  AND F.CDFORNECED  = E.CDFORNECED
                  AND E.CDPAIS      = P.CDPAIS
                  AND E.CDPAIS      = M.CDPAIS
                  AND E.SGESTADO    = M.SGESTADO
                  AND E.CDMUNICIPIO = M.CDMUNICIPIO
                  AND E.IDTPENDEFORN  = 'P'
               UNION
               SELECT L.CDFILIAL AS COD_PART, L.NMRAZSOCFILI AS NOME, NVL(LPAD(P.CDPAISBACEN,5,'0'),'') AS COD_PAIS,
                      DECODE(L.IDTPIJURFILI,'J',L.NRINSJURFILI,'') AS CNPJ, DECODE(L.IDTPIJURFILI,'F',L.NRINSJURFILI,'') AS CPF,
                      E.SGESTADO AS UF, L.CDINSCESTA AS IE, M.CDMUNICIBGE AS COD_MUN,
                      L.CDINSCMUNI AS IM, L.NRINSCSUFRAMAFI AS SUFRAMA
                 FROM FILIAL L, ENDEFILI E, MUNICIPIO M, PAIS P
                WHERE L.CDFILIAL    = C_REG0150.CDCHAVEREG
                  AND C_REG0150.CDCAMPO1 = 'L'
                  AND L.CDFILIAL    = E.CDFILIAL
                  AND E.CDPAIS      = P.CDPAIS
                  AND E.CDPAIS      = M.CDPAIS
                  AND E.SGESTADO    = M.SGESTADO
                  AND E.CDMUNICIPIO = M.CDMUNICIPIO
                  AND E.IDTPENDEFILI  = 'P'
               UNION
               /*CRIADO SOMENTE PARA O BLOCO H (RI) QUE NECESSITA QUE EXISTA UM 0150 COM A MESMA INSCRIO ESTADUAL*/
               SELECT I.CDINSCESTA AS COD_PART, I.NMREPRINSEST AS NOME, NVL(LPAD(P.CDPAISBACEN,5,'0'),'') AS COD_PAIS,
                      I.NRINSJURIEST AS CNPJ, '' AS CPF,
                      I.SGESTADO AS UF, I.CDINSCESTA AS IE, M.CDMUNICIBGE AS COD_MUN,
                      '' AS IM, '' AS SUFRAMA
                 FROM INSCRESTAD I, MUNICIPIO M, PAIS P
                WHERE I.CDEMPRESA   = P_CDEMPRESA
                  AND I.CDINSCESTA  = C_REG0150.CDCHAVEREG
                  AND C_REG0150.CDCAMPO1 = 'I'
                  AND I.CDPAIS      = P.CDPAIS
                  AND I.CDPAIS      = M.CDPAIS
                  AND I.SGESTADO    = M.SGESTADO
                  AND I.CDMUNICIPIO = M.CDMUNICIPIO);
      V_CONTREG0 := NVL(V_CONTREG0,0) + 1;
      INSERT INTO ARQMAGNETICO
        (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
      VALUES
        ('005'||LPAD(RTRIM(V_CONTREG0), 7, '0'), V_REG0150, P_NRSEQARQMAG);
   END LOOP;

   /*REGISTRO 0200*/
   FOR C_REG0200 IN (SELECT CDCHAVEREG
                       FROM TMP_REGDADOSSEF2
                      WHERE CDREGISTRO = '0200'
                      ORDER BY CDCHAVEREG) LOOP

      SELECT MAX('|0200'    || '|' ||
                 COD_ITEM   || '|' ||
                 DESCR_ITEM || '|' ||
                 COD_GEN    || '|' ||
                 LPAD(COD_SERV,4,'0')   || '|')
        INTO V_REG0200
        FROM (SELECT P.CDARVPROD AS COD_ITEM, P.NMPRODUTO AS DESCR_ITEM, R.CDGENPROD AS COD_GEN,
                     DECODE(R.CDGENPROD,'00',P.CDCLASSPROD,'') AS COD_SERV /*GER99300*/
                FROM PRODUTO P, RELACPRODITGEN R
               WHERE P.CDPRODUTO  = C_REG0200.CDCHAVEREG
                 AND P.CDPRODUTO  = R.CDPRODUTO(+)
                 AND R.CDLIVROMAG(+) = P_CDLIVROMAG);
      V_CONTREG0 := NVL(V_CONTREG0,0) + 1;
      INSERT INTO ARQMAGNETICO
        (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
      VALUES
        ('006'||LPAD(RTRIM(V_CONTREG0), 7, '0'), V_REG0200, P_NRSEQARQMAG);
   END LOOP;

   /*REGISTRO 0400*/
   FOR C_REG0400 IN (SELECT CDCHAVEREG
                       FROM TMP_REGDADOSSEF2
                      WHERE CDREGISTRO = '0400'
                      ORDER BY CDCHAVEREG) LOOP

      SELECT MAX(CDCFOPPADRAO), MAX(DSCFOPPADRAO)
        INTO V_CDCFOP, V_DSCFOP
        FROM CFOPPADRAO
       WHERE CDCFOPPADRAO = C_REG0400.CDCHAVEREG;

      IF V_CDCFOP IS NULL THEN
         SELECT MAX(C_REG0400.CDCHAVEREG), MAX(DSCDFISCOPER)
           INTO V_CDCFOP, V_DSCFOP
           FROM CODFISCOPER
          WHERE CDFISCOPER   = SUBSTR(C_REG0400.CDCHAVEREG,2,3)
            AND IDENTRSAIDOP = (CASE WHEN SUBSTR(C_REG0400.CDCHAVEREG,1,1) IN ('1','2','3') THEN 'E' ELSE 'S' END);
      END IF;

      BEGIN
         SELECT MAX(CDLAYOUTLMAG)
           INTO V_COP
           FROM CFOPLIVROMAG
          WHERE CDCFOPLMAG = V_CDCFOP
            AND CDLIVROMAG = P_CDLIVROMAG;
      EXCEPTION
         WHEN NO_DATA_FOUND THEN
            V_COP := '';
      END;

      V_REG0400 := '|0400'||'|'||V_CDCFOP||'|'||SUBSTR(V_DSCFOP,1,60)||'|'||NVL(V_COP,'')||'|';

      V_CONTREG0 := NVL(V_CONTREG0,0) + 1;
      INSERT INTO ARQMAGNETICO
        (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
      VALUES
        ('007'||LPAD(RTRIM(V_CONTREG0), 7, '0'), V_REG0400, P_NRSEQARQMAG);
   END LOOP;

   /*REGISTRO 0450*/
   FOR C_REG0450 IN (SELECT LPAD(CDCONTREGI,9,'0') AS COD_OBS,
                            SUBSTR(CDCHAVEREG,1,500) AS TXT_OBS
                       FROM TMP_REGDADOSSEF2
                      WHERE CDREGISTRO = '0450'
                      ORDER BY CDCONTREGI) LOOP

      V_REG0450 :=  '|0450'||'|'||C_REG0450.COD_OBS||'|'||C_REG0450.TXT_OBS||'|';

      V_CONTREG0 := NVL(V_CONTREG0,0) + 1;
      INSERT INTO ARQMAGNETICO
        (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
      VALUES
        ('007'||LPAD(RTRIM(V_CONTREG0), 7, '0'), V_REG0450, P_NRSEQARQMAG);
   END LOOP;

   /* encerramento do bloco 0 */
   V_CONTREG0 := NVL(V_CONTREG0,0) + 1;
   INSERT INTO ARQMAGNETICO
     (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG  )
   VALUES
     ('099'||LPAD(RTRIM(V_CONTREG0), 7, '0'), '|0990'|| '|' ||V_CONTREG0|| '|', P_NRSEQARQMAG);

   RETURN(V_CONTREG0);
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('SEF2_BLOCO0','5.70.xxx'); END;
/